package domain

type AlibabaWdkMarketingOpenDataRelationQueryOutTxdDataRelation struct {
	/*
	   子数据类型     */
	SubBizCode *string `json:"sub_biz_code,omitempty" `

	/*
	   数据类型     */
	BizCode *string `json:"biz_code,omitempty" `

	/*
	   外部数据Id     */
	OutDataId *string `json:"out_data_id,omitempty" `

	/*
	   淘鲜达数据Id     */
	TxdDataId *string `json:"txd_data_id,omitempty" `
}

func (s *AlibabaWdkMarketingOpenDataRelationQueryOutTxdDataRelation) SetSubBizCode(v string) *AlibabaWdkMarketingOpenDataRelationQueryOutTxdDataRelation {
	s.SubBizCode = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDataRelationQueryOutTxdDataRelation) SetBizCode(v string) *AlibabaWdkMarketingOpenDataRelationQueryOutTxdDataRelation {
	s.BizCode = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDataRelationQueryOutTxdDataRelation) SetOutDataId(v string) *AlibabaWdkMarketingOpenDataRelationQueryOutTxdDataRelation {
	s.OutDataId = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDataRelationQueryOutTxdDataRelation) SetTxdDataId(v string) *AlibabaWdkMarketingOpenDataRelationQueryOutTxdDataRelation {
	s.TxdDataId = &v
	return s
}
